New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Unmaintained #520

Closed
binarybucks opened this Issue Oct 14, 2017 · 21 comments

Comments

Projects
None yet
9 participants
@binarybucks
Contributor

binarybucks commented Oct 14, 2017

Owntracks for Android is not maintained at the moment.
Bugs and issues can be reported but do not expect a swift fix.

@neekz0r

This comment has been minimized.

Show comment
Hide comment
@neekz0r

neekz0r Oct 18, 2017

What happened? :-/

neekz0r commented Oct 18, 2017

What happened? :-/

@jpmens

This comment has been minimized.

Show comment
Hide comment
@jpmens
Contributor

jpmens commented Oct 19, 2017

@neelanshsahai

This comment has been minimized.

Show comment
Hide comment
@neelanshsahai

neelanshsahai Oct 27, 2017

@jpmens can you please fill me in about this.
I would like to contribute in this repo

neelanshsahai commented Oct 27, 2017

@jpmens can you please fill me in about this.
I would like to contribute in this repo

@binarybucks

This comment has been minimized.

Show comment
Hide comment
@binarybucks

binarybucks Oct 27, 2017

Contributor

@neekz0r I‘m no longer using any Android devices for quite some time. Hence I cannot dedicate any time towards this project.

@neelanshsahai how may I help you?

Contributor

binarybucks commented Oct 27, 2017

@neekz0r I‘m no longer using any Android devices for quite some time. Hence I cannot dedicate any time towards this project.

@neelanshsahai how may I help you?

@neelanshsahai

This comment has been minimized.

Show comment
Hide comment
@neelanshsahai

neelanshsahai Oct 27, 2017

@binarybucks for the new maintainer stuff as mentioned by @jpmens.
Actually I find it interesting. 😄

neelanshsahai commented Oct 27, 2017

@binarybucks for the new maintainer stuff as mentioned by @jpmens.
Actually I find it interesting. 😄

@IzzySoft

This comment has been minimized.

Show comment
Hide comment
@IzzySoft

IzzySoft Oct 29, 2017

Could you please at least attach the .apk to the latest release meanwhile? I've just noticed it was missing for quite a while, so the version offered via my repo is hopelessly outdated already.

IzzySoft commented Oct 29, 2017

Could you please at least attach the .apk to the latest release meanwhile? I've just noticed it was missing for quite a while, so the version offered via my repo is hopelessly outdated already.

@Diaoul

This comment has been minimized.

Show comment
Hide comment
@Diaoul

Diaoul Nov 7, 2017

I was about to open an issue and just learned this 😢
It's too bad, the android app seems to be the most stared github repo.

Diaoul commented Nov 7, 2017

I was about to open an issue and just learned this 😢
It's too bad, the android app seems to be the most stared github repo.

@shymega

This comment has been minimized.

Show comment
Hide comment
@shymega

shymega Nov 10, 2017

Sorry to hear this. I would be interested in helping out with keeping the Android OT app going. I can be reached via email, or on IRC - Freenode is the best one to reach me on - as shymega 😃

@IzzySoft By the looks of it, the Owntracks app published in the play store is v1.2.7 - not sure about F-Droid, but I hope that helps solve your issue.. unless its already solved..?

shymega commented Nov 10, 2017

Sorry to hear this. I would be interested in helping out with keeping the Android OT app going. I can be reached via email, or on IRC - Freenode is the best one to reach me on - as shymega 😃

@IzzySoft By the looks of it, the Owntracks app published in the play store is v1.2.7 - not sure about F-Droid, but I hope that helps solve your issue.. unless its already solved..?

@IzzySoft

This comment has been minimized.

Show comment
Hide comment
@IzzySoft

IzzySoft Nov 11, 2017

@shymega thanks for the hint. I'm not using the app myself, but it's in my F-Droid compatible repo, which takes APKs from the resp. projects here at Github. I don't want to interfere with Playstore for that. So I was hoping e.g. @binarybucks (or whoever has access to that) could attach the file to its corresponding release here at Github.

IzzySoft commented Nov 11, 2017

@shymega thanks for the hint. I'm not using the app myself, but it's in my F-Droid compatible repo, which takes APKs from the resp. projects here at Github. I don't want to interfere with Playstore for that. So I was hoping e.g. @binarybucks (or whoever has access to that) could attach the file to its corresponding release here at Github.

@jpmens

This comment has been minimized.

Show comment
Hide comment
@jpmens

jpmens Nov 11, 2017

Contributor

If you need the current version of the app, you can either install from Google Play Store or build it yourselves from source. We aren’t providing apk files here.

Contributor

jpmens commented Nov 11, 2017

If you need the current version of the app, you can either install from Google Play Store or build it yourselves from source. We aren’t providing apk files here.

@jpmens

This comment has been minimized.

Show comment
Hide comment
@jpmens

jpmens Nov 11, 2017

Contributor

@neelanshsahai @shymega if you’re willing to contribute, the best way to do that is to get very familiar with the code in its current form and then attempt to bring life into it on newest Android versions.

Contributor

jpmens commented Nov 11, 2017

@neelanshsahai @shymega if you’re willing to contribute, the best way to do that is to get very familiar with the code in its current form and then attempt to bring life into it on newest Android versions.

@neelanshsahai

This comment has been minimized.

Show comment
Hide comment
@neelanshsahai

neelanshsahai Nov 11, 2017

sure 👍
thanks

neelanshsahai commented Nov 11, 2017

sure 👍
thanks

@shymega

This comment has been minimized.

Show comment
Hide comment
@shymega

shymega Nov 11, 2017

@jpmens Thanks - I'll probably work on it on a local repo for now - what's the min API version we should target?

shymega commented Nov 11, 2017

@jpmens Thanks - I'll probably work on it on a local repo for now - what's the min API version we should target?

@binarybucks

This comment has been minimized.

Show comment
Hide comment
@binarybucks

binarybucks Nov 12, 2017

Contributor

@shymega there's the f_background_scheduler that targets Android 8 and contains many improvements to work around the background restriction limits. It needs some little improvements to target API 26.

Contributor

binarybucks commented Nov 12, 2017

@shymega there's the f_background_scheduler that targets Android 8 and contains many improvements to work around the background restriction limits. It needs some little improvements to target API 26.

@tungmeister

This comment has been minimized.

Show comment
Hide comment
@tungmeister

tungmeister Nov 26, 2017

@shymega have you picked this up? I'd be very interested in proper Oreo support, I've just upgraded to the pixel 2 XL and have only just discovered the app is no longer my maintained.

tungmeister commented Nov 26, 2017

@shymega have you picked this up? I'd be very interested in proper Oreo support, I've just upgraded to the pixel 2 XL and have only just discovered the app is no longer my maintained.

@SomeFixItDude

This comment has been minimized.

Show comment
Hide comment
@SomeFixItDude

SomeFixItDude Dec 4, 2017

Any update on someone picking this up? I really like being in charge of my own data. The app works pretty good as is, but could use some love.

SomeFixItDude commented Dec 4, 2017

Any update on someone picking this up? I really like being in charge of my own data. The app works pretty good as is, but could use some love.

@jpmens

This comment has been minimized.

Show comment
Hide comment
@jpmens

jpmens Dec 4, 2017

Contributor

We're very sad that so far nobody has taken it upon themsevles to help us.

Contributor

jpmens commented Dec 4, 2017

We're very sad that so far nobody has taken it upon themsevles to help us.

@shymega

This comment has been minimized.

Show comment
Hide comment
@shymega

shymega Dec 11, 2017

@tungmeister I apologise for the late reply.. it has, sadly become the time of year where life overtakes other things that I like doing. I'm also in the process of applying to University for Sept 2018. I've added this issue to my todo list, and I'll take a look ASAP. I notice however that some commits have been made to the f_background_scheduler branch. AFAIK, this is for Android 8, but from my POV, it would be good to support at least Android 5.0... I wouldn't like to drop support for older version of Android.. unless I have got the wrong end of the stick. If so, I apologise preemptively in advance! 😄

shymega commented Dec 11, 2017

@tungmeister I apologise for the late reply.. it has, sadly become the time of year where life overtakes other things that I like doing. I'm also in the process of applying to University for Sept 2018. I've added this issue to my todo list, and I'll take a look ASAP. I notice however that some commits have been made to the f_background_scheduler branch. AFAIK, this is for Android 8, but from my POV, it would be good to support at least Android 5.0... I wouldn't like to drop support for older version of Android.. unless I have got the wrong end of the stick. If so, I apologise preemptively in advance! 😄

@shymega

This comment has been minimized.

Show comment
Hide comment
@shymega

shymega Jan 10, 2018

Am looking around the Android app code - few questions for the maintainers:

  • Is there any code guidelines?
  • Any particular branch to work on first of all? I'm guessing f_background_scheduler first?
  • Any comments on my comment above about minimum API level to support? Is there a position official on this?

Thanks!

shymega commented Jan 10, 2018

Am looking around the Android app code - few questions for the maintainers:

  • Is there any code guidelines?
  • Any particular branch to work on first of all? I'm guessing f_background_scheduler first?
  • Any comments on my comment above about minimum API level to support? Is there a position official on this?

Thanks!

@binarybucks

This comment has been minimized.

Show comment
Hide comment
@binarybucks

binarybucks Jan 10, 2018

Contributor

There are no particular coding guidelines as long as the code is functional. There are bonus points if you make Travis happy and if you provide Unit tests ;)

@growse is currently investing time and effort in fixing the remaining issues in the Android-2.0 branch (former f_background_scheduler). Work on this branch will benefit all API levels because it contains a completely rewritten background code that‘s optimized for the new Android background restrictions that got increasingly more restrictive from 5.0 to 8.0.
Current minimum API level is 21 (5.0) with target and compile SDK set to latest.

If you‘d like to join us two, I can invite you to our semi-public Slack channel. If you‘re interested, please drop me a line at support@owntracks.org.

Contributor

binarybucks commented Jan 10, 2018

There are no particular coding guidelines as long as the code is functional. There are bonus points if you make Travis happy and if you provide Unit tests ;)

@growse is currently investing time and effort in fixing the remaining issues in the Android-2.0 branch (former f_background_scheduler). Work on this branch will benefit all API levels because it contains a completely rewritten background code that‘s optimized for the new Android background restrictions that got increasingly more restrictive from 5.0 to 8.0.
Current minimum API level is 21 (5.0) with target and compile SDK set to latest.

If you‘d like to join us two, I can invite you to our semi-public Slack channel. If you‘re interested, please drop me a line at support@owntracks.org.

@shymega

This comment has been minimized.

Show comment
Hide comment
@shymega

shymega Jan 11, 2018

shymega commented Jan 11, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment